Subject: Re: bug#25851: 25.2; GTK warning when starting Emacs when desktop file has more than one frame

From: [email-masked] (N. Jackson)
Date: Fri, 24 Mar 2017 16:37:54 -0400

At 10:01 +0100 on Friday 2017-03-24, martin rudalics wrote:
>
>   Rationale: Window managers can often perform better placement (that
>   may be even configurable) for windows than the application. However at
>   the time of writing this it is problematic for Window managers to
>   decide when to use them because many applications abuse positioning
>   flags and/or provide unnecessary default positions.

My reading of this text is that it says that applications should not
micromanage the positioning of windows. That makes sense. But placement
of restored windows at startup is not micromanagement in my opinion.
After all, it is putting windows back in the position that the Window
Manager placed them in the first place, or back in the position that the
user moved them to.

N.